=== bm_converter/Makefile ===
EXECUTABLE = bmconverter

CFLAGS += `pkg-config --cflags hildon-libs hildon-fm gtk+-2.0 gnome-vfs-2.0` 
LIBS += `pkg-config --libs hildon-libs hildon-fm gtk+-2.0 gnome-vfs-2.0` -lsqlite -ldb1 
CC = gcc
DEBUG = -g -Wall
SOURCES = src/main.c \
        src/bm-convert.c

INSTALL_DIR = ${DESTDIR}/usr/bin
INSTALL_DESKTOP = ${DESTDIR}/usr/share/applications/hildon
INSTALL_ICON = ${DESTDIR}/usr/share/pixmaps
INSTALL_SYMLINK = ${DESTDIR}/etc/others-menu/extra_applications


OBJECTS = ${SOURCES:src/%.c=bin/%.o}

ARCH = `uname -m`
all: ${EXECUTABLE} ${SOURCES} ./${EXECUTABLE}.sh

${EXECUTABLE}: ${OBJECTS}
	${CC} ${DEBUG} -o $@ ${OBJECTS} ${CFLAGS} ${LIBS}

bin/%.o: src/%.c
	${CC} ${DEBUG} -c $< -o $@ ${CFLAGS}

# only for tests!
${EXECUTABLE}.sh:
	@echo -e "Creating run script for \"${ARCH}\" architecture"
	@echo "#!/bin/sh" > ./${EXECUTABLE}.sh
	@echo "export LD_LIBRARY_PATH=lib_${ARCH}/" >> ./${EXECUTABLE}.sh
	@if [ ${ARCH} == "arm" ]; then \
		echo "run-standalone.sh ./${EXECUTABLE}" >> ./${EXECUTABLE}.sh; \
	else \
		echo "./${EXECUTABLE}" >> ./${EXECUTABLE}.sh; \
	fi; 
	@chmod u+x ./${EXECUTABLE}.sh

run: ./${EXECUTABLE}.sh
	./${EXECUTABLE}.sh

clean:
	rm -f bin/*.o
	rm -f ${EXECUTABLE}
	rm -f ${EXECUTABLE}.sh

install:
	install -d ${INSTALL_DIR}
	install -d ${INSTALL_DIR}/data
	install -d ${INSTALL_DESKTOP}
	install -d ${INSTALL_ICON}
	install -d ${INSTALL_SYMLINK}
	install ./${EXECUTABLE} ${INSTALL_DIR}
	install -m666 ./desktop/bmconverter.desktop ${INSTALL_DESKTOP}
	install -m666 ./desktop/bmconverter.png ${INSTALL_ICON}
	ln -s ${INSTALL_DESKTOP}/bmconverter.desktop ${INSTALL_SYMLINK}/0120_bmconverter.desktop
package:
	dpkg-buildpackage -us -uc -rfakeroot > build.log

package-clean:
	fakeroot make -f debian/rules clean
