=== src/dbus_wrapper/Makefile ===
CC=gcc
LIBS=`pkg-config --libs glib-2.0 libosso`
CFLAGS=`pkg-config --cflags glib-2.0 libosso`
DEBUG = -g -Wall
BINARY = bin
MAIN_BINARY = ../../bin
INCLUDE = ../../include
SOURCE = src
DOCS = doc

all: 		${BINARY}/ws_dbus.o 
			@cp ${BINARY}/* ${MAIN_BINARY}

docs:		
		doxygen Doxyfile

${BINARY}/ws_dbus.o:
	                @${CC} ${DEBUG} -c ${SOURCE}/ws_dbus.c -o ${BINARY}/ws_dbus.o ${CFLAGS} -I${INCLUDE}
clean:
	                -rm -rf ${BINARY}/*
			-rm -rf ${DOCS}/*
