=== src/manager/Makefile ===
CC = gcc
DEBUG = -g -Wall
INCLUDE = ./include
SOURCE  = ./src
BINARY  = ./bin
INCLUDE_DBUS_WRAPPER = ../../include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0 libosso gconf-2.0 gthread-2.0` \
	-lbz2
SQLITE=-DSQLITE=0
CFLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0 libosso gconf-2.0` \
	-I${INCLUDE} -I${INCLUDE_DBUS_WRAPPER} ${SQLITE}
MAIN_BINARIES = ../../bin
EXECUTABLE = ${BINARY}/mdictionaryManager


SOURCES = ${SOURCE}/*.c
OBJECTS = $(patsubst %.c,%.o,$(wildcard ${SOURCES})) ${MAIN_BINARIES}/ws_dbus.o

${EXECUTABLE}: ${OBJECTS}
		@echo Compiling with ${SQLITE} flag
		${CC} ${DEBUG} -o $@ ${OBJECTS} ${LIBS} ${CFLAGS}
		@cp ${EXECUTABLE} ${MAIN_BINARIES}

%.o: %.c
		${CC} -c -o $@ $< ${DEBUG} ${CFLAGS}

${MAIN_BINARIES}/ws_dbus.o:
		@cd ../dbus_wrapper && make

.PHONY: clean
clean:
		rm -f ${SOURCE}/*.o ${EXECUTABLE} ${SOURCE}/*~ ./*~ 
		rm -f ${INCLUDE}/*~
.PHONY: run
run:
		run-standalone.sh ./${EXECUTABLE} &
