=== src/plugins/xdxf/Makefile ===
COMPILER = gcc
DEBUG = -Wall -g
INCLUDE = include
INCLUDE_ENGINE = ../../../include
LIBS = `pkg-config --libs glib-2.0 gmodule-2.0 gnome-vfs-2.0` -lexpat
FLAGS = `pkg-config --cflags glib-2.0 gmodule-2.0 gnome-vfs-2.0` -I${INCLUDE} -I${INCLUDE_ENGINE}
SOURCES = src
BINARIES = bin
MAIN_BINARIES = ../../../bin
EXECUTABLE = ${SOURCES}/test_engin

${EXECUTABLE}: ${BINARIES}/engine_xdxf.o ${INCLUDE_ENGINE}/dictionary_engine.h			
		@echo -e -n   "| Linking engine-xdxf to dynamic library...                                          |\n"
		@gcc -shared -fPIC ${FLAGS} ${LIBS} ${DEBUG} ${BINARIES}/engine_xdxf.o -o ${SOURCES}/engine_xdxf.so 
		@echo -e -n   "| Building engine_xdxf module done...                                                |\n"
		@echo -e -n   "+------------------------------------------------------------------------------------+\n\n"
		@cp ${SOURCES}/engine_xdxf.so ${MAIN_BINARIES}


${BINARIES}/engine_xdxf.o: ${SOURCES}/engine_xdxf.c ${INCLUDE}/engine_xdxf.h
		@echo -e -n "\n+---------------- ENGINE XDXF -------------------------------------------------------+\n"
		@echo -e -n   "| Compiling engine_xdxf module => engine_xdxf.o ...                                  |\n"
		@gcc ${FLAGS} ${DEBUG} -c -fPIC ${SOURCES}/engine_xdxf.c -o ${BINARIES}/engine_xdxf.o 

test: test.o
		@echo "Linking test program..."
		@gcc ${LIBS} ${DEBUG} ${DEBUG} -o ${SOURCES}/test ${BINARIES}/test.o
		@echo -e "Building test program finished.\n"
test.o:
		@echo "Compiling test program..."
		@gcc ${FLAGS} ${DEBUG} -c -o ${BINARIES}/test.o ${SOURCES}/test.c

check:
		@echo "Running test program:"
		@run-standalone.sh ${SOURCES}/test

clean :
		@rm -f ${BINARIES}/*
		@rm -f ${SOURCES}/test
		@rm -f ${SOURCES}/*~
		@rm -f *~
		@rm -f ${INCLUDE}/*~
		@rm -f ${SOURCES}/engine_xdxf.so
