=== bm_converter/debian/changelog ===
bmconverter (0.1.1-1) unstable; urgency=low

  * initial release
  * tool for converting WhiteStrok bookmarks form sqlite format to Berkeley DB
  * this software is under development

 -- ComArch SA <contact@comarch.com>  Fri,  2 Mar 2007 09:00:34 +0200
