=== debian/changelog ===
mdictionary (1.0.1-1) unstable; urgency=low

  * minor bugfixes in manager module

 -- unknown <Lukasz.Pawlik@comarch.com>  Mon, 12 Feb 2008 09:12:00 +0300

mdictionary (1.0.0-2) unstable; urgency=low

  * minor bugfixes in debian package

 -- unknown <Dariusz.Wiechecki@comarch.com>  Mon, 20 Nov 2007 13:11:00 +0300

mdictionary (1.0.0-1) unstable; urgency=low

  * the first release of mDictionary (previously known as a WhiteStork)
  * new icons and name

 -- unknown <Dariusz.Wiechecki@comarch.com>  Mon, 19 Nov 2007 16:06:00 +0300
