=== bm_converter/debian/control ===
Source: bmconverter
Section: user/other
Priority: optional
Maintainer: ComArch SA <contact@comarch.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: bmconverter
Architecture: any
Depends: libsqlite0 (>= 2.8.13)
Description: Software for converting mdictionary bookmarks from sqlite format to Berkeley DB
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAABBklEQVRIidWW246EMAxD7dF+eP7c
 +0CH3pK0ZTUjrSVEISWHmLQC+JL48Dmd5okmaBm35srWsJeXRBIktcBc1r3cNgjkgaO2B3NBgxQm
 uJKzs3ETdPmlmje10cozh6AbQhIkJ2ACW+rnzlMGIwDNfWSddQHD+KuD3Dn7+UtIBYXfk0OgTaa3
 jQ4k/y41xmngSG8Lhwq5BPVAAnF7y+u8o0VcQQJqM0yQqCkaO6PE8xjJgm3bfDwSCO/DuvvyKupg
 no62qCKvImZv/gQSgYBSfmCbTzIAdR1NXZlaB4ACxOaczrY4tLN7/00XnJ8FFQjwjYqKPgcyAJt7
 HQAgaIadbejpH9Y/0S/jKXQ85bZN/wAAAABJRU5ErkJggg==
