=== debian/control ===
Source: mdictionary
Section: user/office
Priority: extra
Maintainer: Lukasz Pawlik <Lukasz.Pawlik@comarch.com>
Build-Depends: debhelper (>= 4), libdb1-dev, libosso-dev (>= 1.14-1), libgtk2.0-dev (>= 2.6.10), gtkhtml-dev (>= 3.9.1) libart-2.0-dev (>= 2.3.17), 
Standards-Version: 3.6.1


Package: mdictionary
Section: user/office
Priority: optional
Architecture: any
Depends:  ${shlibs:Depends}
Conflicts: whitestork
Description: multilingual dictionary for maemo.org
 mDictionary Multilingual Dictionary (known as WhiteStork) is 
 a very functional application allowing the use of many dictionary
 engines. There are included XDXF and StarDict engines in the package,
 but You can write your own, provided that You stick to the API 
 (also available on our homepage). The graphical user interface of
 our application can also be replaced by a product of Your own
 programming skills. This package contains all three modules 
 integrated that is: gui, engines and plugins.
 Copyright 2006 - 2007, ComArch S.A.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAAAsTAAAL
 EwEAmpwYAAABRWlDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjalZC/SsNgFEfP
 14pSwU5BHD9w0cHSKi24KDG2UqGNpEGabDYNaaHa8DVWqz6Bk5trX0BwEGefwMU/
 L+ALCIKzQ5QqFIpnOvd34d7LhYSs1Ep2QsLhUaSsnS1Zd1w588IU08yRpHDg9cJK
 rWQDFNtnXf4i4PMVAfC0MqY/iVTT73nAO+CpuuOCsAEtiL0FaI3YLwBN2ZYB4gpI
 B7EPgXQj9lsgfRKFEYgHQPNCFYF4Bna/dwGkarn1XHa7kP99y5js39QdV8Y2uIaN
 WUi+jTLnEm6GsHA+yhbvQNuH+0fvWPV//ppYg0n1aMbHJgIQ837kn0YARjccqHbQ
 iuSSsSxXs9m8LJZdU1b1qm5Kw7T2TEu3y2Y1I6Xe6UjVDlpRTyq/56u+38wAfAFp
 qFJd29bLeQAAAARnQU1BAACxnmFMQfcAAAAgY0hSTQAAejAAAICYAAD5/wAAgOgA
 AHFHAADsUwAAOKQAAB1LzdW7PwAABG1JREFUeNq8lktsVVUUhr99nvec3tte7AVa
 7ZVXkWgLFKEECgNAVGIEqsx00KKJQx8DY3QCJkYTDUFNSgJGxARjwghJdEINiIGB
 CbFpQKgpXKBpKaWUS9v7PI/loKVQ+4AyYI3O3met/997rT9rLyUiPA4zAJRSMw6M
 Ne3ZgAQQ+G1DP32Sns5XRFAiMiVRrGlPHRAn9ONoRhNInMBrA9WIZsxHKQiDK0jw
 6dDhjw89EpG+47PbdsSK64Y+6h0CENilBKaLCgqgNIqlTxHqFkAbsJEvNqYnIzKm
 OkXgB/HscA4jVkZY8Qyh6aAVM4RWyVQhdUAz8PVkP7UH1cIPFaHpAEwgUaGP8nL3
 b8WnwtFmpIChW+h3eu6lpLsDejoeKnRmRAPdBEXv3joMkIeE0HhM9tiIDICfv6c5
 WcXyUeXEgbr1+2YO1jzv8K6mX0vmmUbmg/Uvk55wo8HM0villPt+JsuGUTKidn4C
 UNQapzDeqj/B4vLrLI52siLexspZZzGNTDOQ+uM3e/eRw/VjKlQiwncHDjYj2R/E
 b8W1jjNndhbRIxxpX8vBfxph3jJWxNt4t7qFv3uriUWhItLL4mgnUWN48ppoYEUW
 pR1nzs7nVp45epdoN7BrRLNZxG8lFvmFygowzalTZRpg2LXYkTI0swHHLUO0Whw3
 CVpy5CbFr07OrfpyowFghW8vN6x1eGzD8xMocxvDfgP/po5RkThN1dPrcNxSNKMW
 O5LEsJ7GsGtAlT2E3JbcS51SigPf6O9YFp/bzpryfDBCOHLqfra8uvOR1aYKu4/O
 Tba8ZgAc2r/qxfLyMHAc+ai35/wLeti23bQ2uwV/8xjhAy3sQkkXBOcIQvOKJhd6
 lD77uCruOwotI/LOh2/2dl3vSDhWuyTKFx7T9VzrzRu/bzFV6ytuZHMJbB0FO4eS
 QQhO4wfJc+KdyHhemAq9E9lc3k3l8m7f4HDZzdGG7Ylw4aWtXBYZTd2B/QcrgdVI
 QQK/Hcdql8qKHEGQc4v57k11dTUlXuFiX9Gzb6QHZ13OF5wMMPY0R2xPNE2wLV80
 TbAsH9tZLqblEhROdS+ouXbeANDkpBOqDVmUjW7WUwyXyeWrpyktuZgtT1QfSV3N
 i2VWYRghkUggZaVD6HqJRNz5GGYFSn9SNGMJSisV3Vo91nMBcrde18c6QzF/cVBp
 t9OaucZWWiUoW3RrE8PFVZR6p6R26SJQMXSrXpSKoZnP3j9oTPuttERhnOoAWvbW
 J5SeTGrG85rSKscCGnds/z/I/etx4KHficgwYfGsiAzhZX68taDmWs+Ep7xlb70O
 JEK1MGHZDaCiNO7YPg408NogHCL0OyQMesgXeulLd4pjpHOzXC8LFIAAKCys7Qqm
 nRne+LC+OhmDFQsWScNal8Fcjv7+v+gftiRQOl23Iwylfbl03eaJudbdQ6S/fe/P
 mc0MfkghdQdupq7KmYERt4G+BJatSbTMAJCBviKocakMpn0mprDCJDWYWBsZt+9P
 BfbfAGyC8jpg6wjHAAAAAElFTkSuQmCC
